package com.ruoyi.dz.mapper;

import java.util.List;
import com.ruoyi.dz.domain.DzPaymentOrders;

/**
 * 订单Mapper接口
 * 
 * @author ruoyi
 * @date 2025-09-12
 */
public interface DzPaymentOrdersMapper 
{
    /**
     * 查询订单
     * 
     * @param id 订单主键
     * @return 订单
     */
    public DzPaymentOrders selectDzPaymentOrdersById(Long id);

    /**
     * 查询订单列表
     * 
     * @param dzPaymentOrders 订单
     * @return 订单集合
     */
    public List<DzPaymentOrders> selectDzPaymentOrdersList(DzPaymentOrders dzPaymentOrders);

    /**
     * 新增订单
     * 
     * @param dzPaymentOrders 订单
     * @return 结果
     */
    public int insertDzPaymentOrders(DzPaymentOrders dzPaymentOrders);

    /**
     * 修改订单
     * 
     * @param dzPaymentOrders 订单
     * @return 结果
     */
    public int updateDzPaymentOrders(DzPaymentOrders dzPaymentOrders);

    /**
     * 删除订单
     * 
     * @param id 订单主键
     * @return 结果
     */
    public int deleteDzPaymentOrdersById(Long id);

    /**
     * 批量删除订单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDzPaymentOrdersByIds(Long[] ids);
}
